Index: protocols/yahoo/libyahoo2.c
===================================================================
--- protocols/yahoo/libyahoo2.c	(revision 25c4c78e2ddad482dfc9d5a104f76325fcc2f8e5)
+++ protocols/yahoo/libyahoo2.c	(revision 9216eff1a59e9d4a24b63c16ba4c2cacd051332c)
@@ -1332,35 +1413,37 @@
 
 		switch (pair->key) {
-		case 300:	/* Begin buddy */
+		case 300:       /* Begin buddy */
 			if (!strcmp(pair->value, "315") && !u) {
 				u = yd->half_user = y_new0(struct yahoo_process_status_entry, 1);
 			}
 			break;
-		case 301:	/* End buddy */
+		case 301:       /* End buddy */
 			if (!strcmp(pair->value, "315") && u) {
 				/* Sometimes user info comes in an odd format with no
 				   "begin buddy" but *with* an "end buddy". Don't add
 				   it twice. */
-				if (!y_list_find(users, u))
+				if (!y_list_find(users, u)) {
 					users = y_list_prepend(users, u);
+				}
 				u = yd->half_user = NULL;
 			}
 			break;
-		case 0:	/* we won't actually do anything with this */
+		case 0: /* we won't actually do anything with this */
 			NOTICE(("key %d:%s", pair->key, pair->value));
 			break;
-		case 1:	/* we don't get the full buddy list here. */
+		case 1: /* we don't get the full buddy list here. */
 			if (!yd->logged_in) {
 				yd->logged_in = 1;
-				if (yd->current_status < 0)
+				if (yd->current_status < 0) {
 					yd->current_status = yd->initial_status;
-				YAHOO_CALLBACK(ext_yahoo_login_response) (yd->
-					client_id, YAHOO_LOGIN_OK, NULL);
+				}
+				YAHOO_CALLBACK (ext_yahoo_login_response) (yd->
+				                                           client_id, YAHOO_LOGIN_OK, NULL);
 			}
 			break;
-		case 8:	/* how many online buddies we have */
+		case 8: /* how many online buddies we have */
 			NOTICE(("key %d:%s", pair->key, pair->value));
 			break;
-		case 7:	/* the current buddy */
+		case 7: /* the current buddy */
 			if (!u) {
 				/* This will only happen in case of a single level message */
@@ -1370,26 +1453,26 @@
 			u->name = pair->value;
 			break;
-		case 10:	/* state */
+		case 10:        /* state */
 			u->state = strtol(pair->value, NULL, 10);
 			break;
-		case 19:	/* custom status message */
+		case 19:        /* custom status message */
 			u->msg = pair->value;
 			break;
-		case 47:	/* is it an away message or not. Not applicable for YMSG16 anymore */
+		case 47:        /* is it an away message or not. Not applicable for YMSG16 anymore */
 			u->away = atoi(pair->value);
 			break;
-		case 137:	/* seconds idle */
+		case 137:       /* seconds idle */
 			u->idle = atoi(pair->value);
 			break;
-		case 11:	/* this is the buddy's session id */
+		case 11:        /* this is the buddy's session id */
 			u->buddy_session = atoi(pair->value);
 			break;
-		case 17:	/* in chat? */
+		case 17:        /* in chat? */
 			u->f17 = atoi(pair->value);
 			break;
-		case 13:	/* bitmask, bit 0 = pager, bit 1 = chat, bit 2 = game */
+		case 13:        /* bitmask, bit 0 = pager, bit 1 = chat, bit 2 = game */
 			u->flags = atoi(pair->value);
 			break;
-		case 60:	/* SMS -> 1 MOBILE USER */
+		case 60:        /* SMS -> 1 MOBILE USER */
 			/* sometimes going offline makes this 2, but invisible never sends it */
 			u->mobile = atoi(pair->value);
@@ -1422,11 +1505,11 @@
 			u->f213 = atoi(pair->value);
 			break;
-		case 16:	/* Custom error message */
-			YAHOO_CALLBACK(ext_yahoo_error) (yd->client_id,
-				pair->value, 0, E_CUSTOM);
+		case 16:        /* Custom error message */
+			YAHOO_CALLBACK (ext_yahoo_error) (yd->client_id,
+			                                  pair->value, 0, E_CUSTOM);
 			break;
 		default:
 			WARNING(("unknown status key %d:%s", pair->key,
-					pair->value));
+			         pair->value));
 			break;
 		}
@@ -1439,19 +1522,20 @@
 		if (u->name != NULL) {
 			if (pkt->service ==
-				YAHOO_SERVICE_LOGOFF
-				/*|| u->flags == 0 No flags for YMSG16 */ ) {
-				YAHOO_CALLBACK(ext_yahoo_status_changed) (yd->
-					client_id, u->name,
-					YAHOO_STATUS_OFFLINE, NULL, 1, 0, 0);
+			    YAHOO_SERVICE_LOGOFF
+			    /*|| u->flags == 0 No flags for YMSG16 */) {
+				YAHOO_CALLBACK (ext_yahoo_status_changed) (yd->
+				                                           client_id, u->name,
+				                                           YAHOO_STATUS_OFFLINE, NULL, 1, 0, 0);
 			} else {
 				/* Key 47 always seems to be 1 for YMSG16 */
-				if (!u->state)
+				if (!u->state) {
 					u->away = 0;
-				else
+				} else {
 					u->away = 1;
-
-				YAHOO_CALLBACK(ext_yahoo_status_changed) (yd->
-					client_id, u->name, u->state, u->msg,
-					u->away, u->idle, u->mobile);
+				}
+
+				YAHOO_CALLBACK (ext_yahoo_status_changed) (yd->
+				                                           client_id, u->name, u->state, u->msg,
+				                                           u->away, u->idle, u->mobile);
 			}
 		}
@@ -1464,5 +1548,5 @@
 
 static void yahoo_process_buddy_list(struct yahoo_input_data *yid,
-	struct yahoo_packet *pkt)
+                                     struct yahoo_packet *pkt)
 {
 	struct yahoo_data *yd = yid->yd;
@@ -1480,8 +1564,9 @@
 		case 301:
 		case 302:
-			break;	/* Separators. Our logic does not need them */
+			break;  /* Separators. Our logic does not need them */
 		case 303:
-			if (318 == atoi(pair->value))
+			if (318 == atoi(pair->value)) {
 				last_packet = 1;
+			}
 			break;
 		case 65:
@@ -1491,14 +1576,15 @@
 			newbud = y_new0(struct yahoo_buddy, 1);
 			newbud->id = strdup(pair->value);
-			if (cur_group)
+			if (cur_group) {
 				newbud->group = strdup(cur_group);
-			else if (yd->buddies) {
+			} else if (yd->buddies) {
 				struct yahoo_buddy *lastbud =
-					(struct yahoo_buddy *)y_list_nth(yd->
-					buddies,
-					y_list_length(yd->buddies) - 1)->data;
+				        (struct yahoo_buddy *) y_list_nth(yd->
+				                                          buddies,
+				                                          y_list_length(yd->buddies) - 1)->data;
 				newbud->group = strdup(lastbud->group);
-			} else
+			} else {
 				newbud->group = strdup("Buddies");
+			}
 
 			yd->buddies = y_list_append(yd->buddies, newbud);
@@ -1509,20 +1595,22 @@
 
 	/* we could be getting multiple packets here */
-	if (pkt->hash && !last_packet)
-		return;
-
-	YAHOO_CALLBACK(ext_yahoo_got_buddies) (yd->client_id, yd->buddies);
+	if (pkt->hash && !last_packet) {
+		return;
+	}
+
+	YAHOO_CALLBACK (ext_yahoo_got_buddies) (yd->client_id, yd->buddies);
 
 	/* Logged in */
 	if (!yd->logged_in) {
 		yd->logged_in = 1;
-		if (yd->current_status < 0)
+		if (yd->current_status < 0) {
 			yd->current_status = yd->initial_status;
-		YAHOO_CALLBACK(ext_yahoo_login_response) (yd->client_id,
-			YAHOO_LOGIN_OK, NULL);
+		}
+		YAHOO_CALLBACK (ext_yahoo_login_response) (yd->client_id,
+		                                           YAHOO_LOGIN_OK, NULL);
 
 		/*
 		yahoo_set_away(yd->client_id, yd->initial_status, NULL,
-			(yd->initial_status == YAHOO_STATUS_AVAILABLE) ? 0 : 1);
+		        (yd->initial_status == YAHOO_STATUS_AVAILABLE) ? 0 : 1);
 
 		yahoo_get_yab(yd->client_id);
@@ -1533,5 +1621,5 @@
 
 static void yahoo_process_list(struct yahoo_input_data *yid,
-	struct yahoo_packet *pkt)
+                               struct yahoo_packet *pkt)
 {
 	struct yahoo_data *yd = yid->yd;
@@ -1543,19 +1631,20 @@
 
 		switch (pair->key) {
-		case 89:	/* identities */
-			{
-				char **identities =
-					y_strsplit(pair->value, ",", -1);
-				int i;
-				for (i = 0; identities[i]; i++)
-					yd->identities =
-						y_list_append(yd->identities,
-						strdup(identities[i]));
-				y_strfreev(identities);
+		case 89:        /* identities */
+		{
+			char **identities =
+			        y_strsplit(pair->value, ",", -1);
+			int i;
+			for (i = 0; identities[i]; i++) {
+				yd->identities =
+				        y_list_append(yd->identities,
+				                      strdup(identities[i]));
 			}
-			YAHOO_CALLBACK(ext_yahoo_got_identities) (yd->client_id,
-				yd->identities);
-			break;
-		case 59:	/* cookies */
+			y_strfreev(identities);
+		}
+			YAHOO_CALLBACK (ext_yahoo_got_identities) (yd->client_id,
+			                                           yd->identities);
+			break;
+		case 59:        /* cookies */
 			if (pair->value[0] == 'Y') {
 				FREE(yd->cookie_y);
@@ -1575,20 +1664,21 @@
 
 			break;
-		case 3:	/* my id */
-		case 90:	/* 1 */
-		case 100:	/* 0 */
-		case 101:	/* NULL */
-		case 102:	/* NULL */
-		case 93:	/* 86400/1440 */
-			break;
-		}
-	}
-
-	if (yd->cookie_y && yd->cookie_t)	/* We don't get cookie_c anymore */
-		YAHOO_CALLBACK(ext_yahoo_got_cookies) (yd->client_id);
+		case 3: /* my id */
+		case 90:        /* 1 */
+		case 100:       /* 0 */
+		case 101:       /* NULL */
+		case 102:       /* NULL */
+		case 93:        /* 86400/1440 */
+			break;
+		}
+	}
+
+	if (yd->cookie_y && yd->cookie_t) {     /* We don't get cookie_c anymore */
+		YAHOO_CALLBACK (ext_yahoo_got_cookies) (yd->client_id);
+	}
 }
 
 static void yahoo_process_verify(struct yahoo_input_data *yid,
-	struct yahoo_packet *pkt)
+                                 struct yahoo_packet *pkt)
 {
 	struct yahoo_data *yd = yid->yd;
@@ -1596,11 +1686,11 @@
 	if (pkt->status != 0x01) {
 		DEBUG_MSG(("expected status: 0x01, got: %d", pkt->status));
-		YAHOO_CALLBACK(ext_yahoo_login_response) (yd->client_id,
-			YAHOO_LOGIN_LOCK, "");
+		YAHOO_CALLBACK (ext_yahoo_login_response) (yd->client_id,
+		                                           YAHOO_LOGIN_LOCK, "");
 		return;
 	}
 
 	pkt = yahoo_packet_new(YAHOO_SERVICE_AUTH, YPACKET_STATUS_DEFAULT,
-		yd->session_id);
+	                       yd->session_id);
 
 	yahoo_packet_hash(pkt, 1, yd->user);
@@ -1612,5 +1702,5 @@
 
 static void yahoo_process_picture_checksum(struct yahoo_input_data *yid,
-	struct yahoo_packet *pkt)
+                                           struct yahoo_packet *pkt)
 {
 	struct yahoo_data *yd = yid->yd;
@@ -1638,10 +1728,10 @@
 	}
 
-	YAHOO_CALLBACK(ext_yahoo_got_buddyicon_checksum) (yd->client_id, to,
-		from, checksum);
+	YAHOO_CALLBACK (ext_yahoo_got_buddyicon_checksum) (yd->client_id, to,
+	                                                   from, checksum);
 }
 
 static void yahoo_process_picture(struct yahoo_input_data *yid,
-	struct yahoo_packet *pkt)
+                                  struct yahoo_packet *pkt)
 {
 	struct yahoo_data *yd = yid->yd;
@@ -1658,17 +1748,17 @@
 		switch (pair->key) {
 		case 1:
-		case 4:	/* sender */
+		case 4: /* sender */
 			from = pair->value;
 			break;
-		case 5:	/* we */
+		case 5: /* we */
 			to = pair->value;
 			break;
-		case 13:	/* request / sending */
+		case 13:        /* request / sending */
 			status = atoi(pair->value);
 			break;
-		case 20:	/* url */
+		case 20:        /* url */
 			url = pair->value;
 			break;
-		case 192:	/*checksum */
+		case 192:       /*checksum */
 			checksum = atoi(pair->value);
 			break;
@@ -1677,11 +1767,11 @@
 
 	switch (status) {
-	case 1:		/* this is a request, ignore for now */
-		YAHOO_CALLBACK(ext_yahoo_got_buddyicon_request) (yd->client_id,
-			to, from);
+	case 1:         /* this is a request, ignore for now */
+		YAHOO_CALLBACK (ext_yahoo_got_buddyicon_request) (yd->client_id,
+		                                                  to, from);
 		break;
-	case 2:		/* this is cool - we get a picture :) */
-		YAHOO_CALLBACK(ext_yahoo_got_buddyicon) (yd->client_id, to,
-			from, url, checksum);
+	case 2:         /* this is cool - we get a picture :) */
+		YAHOO_CALLBACK (ext_yahoo_got_buddyicon) (yd->client_id, to,
+		                                          from, url, checksum);
 		break;
 	}
@@ -1689,5 +1779,5 @@
 
 static void yahoo_process_picture_upload(struct yahoo_input_data *yid,
-	struct yahoo_packet *pkt)
+                                         struct yahoo_packet *pkt)
 {
 	struct yahoo_data *yd = yid->yd;
@@ -1695,24 +1785,25 @@
 	char *url = NULL;
 
-	if (pkt->status != 1)
-		return;		/* something went wrong */
-
+	if (pkt->status != 1) {
+		return;         /* something went wrong */
+
+	}
 	for (l = pkt->hash; l; l = l->next) {
 		struct yahoo_pair *pair = l->data;
 
 		switch (pair->key) {
-		case 5:	/* we */
-			break;
-		case 20:	/* url */
+		case 5: /* we */
+			break;
+		case 20:        /* url */
 			url = pair->value;
 			break;
-		case 27:	/* local filename */
-			break;
-		case 38:	/* time */
-			break;
-		}
-	}
-
-	YAHOO_CALLBACK(ext_yahoo_buddyicon_uploaded) (yd->client_id, url);
+		case 27:        /* local filename */
+			break;
+		case 38:        /* time */
+			break;
+		}
+	}
+
+	YAHOO_CALLBACK (ext_yahoo_buddyicon_uploaded) (yd->client_id, url);
 }
 
@@ -1727,4 +1818,5 @@
 
 	struct yahoo_input_data *yid = y_new0(struct yahoo_input_data, 1);
+
 	yid->yd = yd;
 	yid->type = YAHOO_CONNECTION_PAGER;
@@ -1739,9 +1831,10 @@
 	host = yss->pager_host;
 
-	if (!host)
+	if (!host) {
 		host = yss->pager_host_list[0];
-
-	tag = YAHOO_CALLBACK(ext_yahoo_connect_async) (yd->client_id,
-		host, yss->pager_port, yahoo_connected, ccd, 0);
+	}
+
+	tag = YAHOO_CALLBACK (ext_yahoo_connect_async) (yd->client_id,
+	                                                host, yss->pager_port, yahoo_connected, ccd, 0);
 
 	/*
@@ -1749,13 +1842,13 @@
 	 * so ccd will have been freed
 	 */
-	if (tag > 0)
+	if (tag > 0) {
 		ccd->tag = tag;
-	else if (tag < 0)
-		YAHOO_CALLBACK(ext_yahoo_login_response) (yd->client_id,
-			YAHOO_LOGIN_SOCK, NULL);
-}
-
-struct yahoo_https_auth_data
-{
+	} else if (tag < 0) {
+		YAHOO_CALLBACK (ext_yahoo_login_response) (yd->client_id,
+		                                           YAHOO_LOGIN_SOCK, NULL);
+	}
+}
+
+struct yahoo_https_auth_data {
 	struct yahoo_input_data *yid;
 	char *token;
@@ -1774,19 +1867,21 @@
 	char *s, *end;
 	int len = strlen(key);
-	
+
 	s = response;
 	do {
 		if (strncmp(s, key, len) == 0 && s[len] == '=') {
 			s += len + 1;
-			if ((end = strchr(s, '\r')))
+			if ((end = strchr(s, '\r'))) {
 				return g_strndup(s, end - s);
-			else
+			} else {
 				return g_strdup(s);
-		}
-		
-		if ((s = strchr(s, '\n')))
-			s ++;
+			}
+		}
+
+		if ((s = strchr(s, '\n'))) {
+			s++;
+		}
 	} while (s && *s);
-	
+
 	return NULL;
 }
@@ -1794,10 +1889,9 @@
 static enum yahoo_status yahoo_https_status_parse(int code)
 {
-	switch (code)
-	{
-		case 1212: return (enum yahoo_status) YAHOO_LOGIN_PASSWD;
-		case 1213: return (enum yahoo_status) YAHOO_LOGIN_LOCK;
-		case 1235: return (enum yahoo_status) YAHOO_LOGIN_UNAME;
-		default: return (enum yahoo_status) code;
+	switch (code) {
+	case 1212: return (enum yahoo_status) YAHOO_LOGIN_PASSWD;
+	case 1213: return (enum yahoo_status) YAHOO_LOGIN_LOCK;
+	case 1235: return (enum yahoo_status) YAHOO_LOGIN_UNAME;
+	default: return (enum yahoo_status) code;
 	}
 }
@@ -1806,8 +1900,8 @@
 {
 	struct yahoo_https_auth_data *had = g_new0(struct yahoo_https_auth_data, 1);
-	
+
 	had->yid = yid;
 	had->chal = g_strdup(seed);
-	
+
 	yahoo_https_auth_token_init(had);
 }
@@ -1819,5 +1913,5 @@
 	char *login, *passwd, *chal;
 	char *url;
-	
+
 	login = g_strndup(yd->user, 3 * strlen(yd->user));
 	http_encode(login);
@@ -1826,10 +1920,10 @@
 	chal = g_strndup(had->chal, 3 * strlen(had->chal));
 	http_encode(chal);
-	
+
 	url = g_strdup_printf("https://login.yahoo.com/config/pwtoken_get?src=ymsgr&ts=%d&login=%s&passwd=%s&chal=%s",
-	                       (int) time(NULL), login, passwd, chal);
-	
+	                      (int) time(NULL), login, passwd, chal);
+
 	http_dorequest_url(url, yahoo_https_auth_token_finish, had);
-	
+
 	g_free(url);
 	g_free(chal);
@@ -1844,29 +1938,30 @@
 	struct yahoo_data *yd;
 	int st;
-	
-	if (y_list_find(inputs, had->yid) == NULL)
-		return;
-	
+
+	if (y_list_find(inputs, had->yid) == NULL) {
+		return;
+	}
+
 	yid = had->yid;
 	yd = yid->yd;
-	
+
 	if (req->status_code != 200) {
-		YAHOO_CALLBACK(ext_yahoo_login_response) (yd->client_id, 2000 + req->status_code, NULL);
+		YAHOO_CALLBACK (ext_yahoo_login_response) (yd->client_id, 2000 + req->status_code, NULL);
 		goto fail;
 	}
-	
+
 	if (sscanf(req->reply_body, "%d", &st) != 1 || st != 0) {
-		YAHOO_CALLBACK(ext_yahoo_login_response) (yd->client_id, yahoo_https_status_parse(st), NULL);
+		YAHOO_CALLBACK (ext_yahoo_login_response) (yd->client_id, yahoo_https_status_parse(st), NULL);
 		goto fail;
 	}
-	
+
 	if ((had->token = yahoo_ha_find_key(req->reply_body, "ymsgr")) == NULL) {
-		YAHOO_CALLBACK(ext_yahoo_login_response) (yd->client_id, 3001, NULL);
+		YAHOO_CALLBACK (ext_yahoo_login_response) (yd->client_id, 3001, NULL);
 		goto fail;
 	}
-	
+
 	yahoo_https_auth_init(had);
 	return;
-	
+
 fail:
 	g_free(had->token);
@@ -1878,10 +1973,10 @@
 {
 	char *url;
-	
+
 	url = g_strdup_printf("https://login.yahoo.com/config/pwtoken_login?src=ymsgr&ts=%d&token=%s",
 	                      (int) time(NULL), had->token);
-	
+
 	http_dorequest_url(url, yahoo_https_auth_finish, had);
-	
+
 	g_free(url);
 }
@@ -1895,36 +1990,37 @@
 	char *crumb = NULL;
 	int st;
-	
-	if (y_list_find(inputs, had->yid) == NULL)
-		return;
-	
+
+	if (y_list_find(inputs, had->yid) == NULL) {
+		return;
+	}
+
 	yid = had->yid;
 	yd = yid->yd;
-	
+
 	md5_byte_t result[16];
 	md5_state_t ctx;
-	
+
 	unsigned char yhash[32];
 
 	if (req->status_code != 200) {
-		YAHOO_CALLBACK(ext_yahoo_login_response) (yd->client_id, 2000 + req->status_code, NULL);
+		YAHOO_CALLBACK (ext_yahoo_login_response) (yd->client_id, 2000 + req->status_code, NULL);
 		goto fail;
 	}
-	
+
 	if (sscanf(req->reply_body, "%d", &st) != 1 || st != 0) {
-		YAHOO_CALLBACK(ext_yahoo_login_response) (yd->client_id, yahoo_https_status_parse(st), NULL);
+		YAHOO_CALLBACK (ext_yahoo_login_response) (yd->client_id, yahoo_https_status_parse(st), NULL);
 		goto fail;
 	}
-	
+
 	if ((yd->cookie_y = yahoo_ha_find_key(req->reply_body, "Y")) == NULL ||
 	    (yd->cookie_t = yahoo_ha_find_key(req->reply_body, "T")) == NULL ||
 	    (crumb = yahoo_ha_find_key(req->reply_body, "crumb")) == NULL) {
-		YAHOO_CALLBACK(ext_yahoo_login_response) (yd->client_id, 3002, NULL);
+		YAHOO_CALLBACK (ext_yahoo_login_response) (yd->client_id, 3002, NULL);
 		goto fail;
 	}
-	
-	md5_init(&ctx);  
-	md5_append(&ctx, (unsigned char*) crumb, 11);
-	md5_append(&ctx, (unsigned char*) had->chal, strlen(had->chal));
+
+	md5_init(&ctx);
+	md5_append(&ctx, (unsigned char *) crumb, 11);
+	md5_append(&ctx, (unsigned char *) had->chal, strlen(had->chal));
 	md5_finish(&ctx, result);
 	to_y64(yhash, result, 16);
@@ -1935,5 +2031,5 @@
 	yahoo_packet_hash(pack, 277, yd->cookie_y);
 	yahoo_packet_hash(pack, 278, yd->cookie_t);
-	yahoo_packet_hash(pack, 307, (char*) yhash);
+	yahoo_packet_hash(pack, 307, (char *) yhash);
 	yahoo_packet_hash(pack, 244, "524223");
 	yahoo_packet_hash(pack, 2, yd->user);
@@ -1941,9 +2037,9 @@
 	yahoo_packet_hash(pack, 98, "us");
 	yahoo_packet_hash(pack, 135, "7.5.0.647");
-	
+
 	yahoo_send_packet(yid, pack, 0);
-		
+
 	yahoo_packet_free(pack);
-	
+
 fail:
 	g_free(crumb);
@@ -1954,5 +2050,5 @@
 
 static void yahoo_process_auth(struct yahoo_input_data *yid,
-	struct yahoo_packet *pkt)
+                               struct yahoo_packet *pkt)
 {
 	char *seed = NULL;
@@ -1979,19 +2075,20 @@
 	}
 
-	if (!seed)
-		return;
-
-	if (m==2)
+	if (!seed) {
+		return;
+	}
+
+	if (m == 2) {
 		yahoo_https_auth(yid, seed, sn);
-	else {
+	} else {
 		/* call error */
 		WARNING(("unknown auth type %d", m));
-		YAHOO_CALLBACK(ext_yahoo_login_response) (yd->client_id,
-			YAHOO_LOGIN_UNKNOWN, NULL);
+		YAHOO_CALLBACK (ext_yahoo_login_response) (yd->client_id,
+		                                           YAHOO_LOGIN_UNKNOWN, NULL);
 	}
 }
 
 static void yahoo_process_auth_resp(struct yahoo_input_data *yid,
-	struct yahoo_packet *pkt)
+                                    struct yahoo_packet *pkt)
 {
 	struct yahoo_data *yd = yid->yd;
@@ -2003,17 +2100,18 @@
 	for (l = pkt->hash; l; l = l->next) {
 		struct yahoo_pair *pair = l->data;
-		if (pair->key == 0)
+		if (pair->key == 0) {
 			; /* login_id */
-		else if (pair->key == 1)
+		} else if (pair->key == 1) {
 			; /* handle */
-		else if (pair->key == 20)
+		} else if (pair->key == 20) {
 			url = pair->value;
-		else if (pair->key == 66)
+		} else if (pair->key == 66) {
 			login_status = atoi(pair->value);
+		}
 	}
 
 	if (pkt->status == YPACKET_STATUS_DISCONNECTED) {
-		YAHOO_CALLBACK(ext_yahoo_login_response) (yd->client_id,
-			login_status, url);
+		YAHOO_CALLBACK (ext_yahoo_login_response) (yd->client_id,
+		                                           login_status, url);
 		/*      yahoo_logoff(yd->client_id); */
 	}
@@ -2021,5 +2119,5 @@
 
 static void yahoo_process_mail(struct yahoo_input_data *yid,
-	struct yahoo_packet *pkt)
+                               struct yahoo_packet *pkt)
 {
 	struct yahoo_data *yd = yid->yd;
@@ -2032,14 +2130,15 @@
 	for (l = pkt->hash; l; l = l->next) {
 		struct yahoo_pair *pair = l->data;
-		if (pair->key == 9)
+		if (pair->key == 9) {
 			count = strtol(pair->value, NULL, 10);
-		else if (pair->key == 43)
+		} else if (pair->key == 43) {
 			who = pair->value;
-		else if (pair->key == 42)
+		} else if (pair->key == 42) {
 			email = pair->value;
-		else if (pair->key == 18)
+		} else if (pair->key == 18) {
 			subj = pair->value;
-		else
+		} else {
 			LOG(("key: %d => value: %s", pair->key, pair->value));
+		}
 	}
 
@@ -2047,13 +2146,14 @@
 		char from[1024];
 		snprintf(from, sizeof(from), "%s (%s)", who, email);
-		YAHOO_CALLBACK(ext_yahoo_mail_notify) (yd->client_id, from,
-			subj, count);
-	} else if (count > 0)
-		YAHOO_CALLBACK(ext_yahoo_mail_notify) (yd->client_id, NULL,
-			NULL, count);
+		YAHOO_CALLBACK (ext_yahoo_mail_notify) (yd->client_id, from,
+		                                        subj, count);
+	} else if (count > 0) {
+		YAHOO_CALLBACK (ext_yahoo_mail_notify) (yd->client_id, NULL,
+		                                        NULL, count);
+	}
 }
 
 static void yahoo_process_new_contact(struct yahoo_input_data *yid,
-	struct yahoo_packet *pkt)
+                                      struct yahoo_packet *pkt)
 {
 	struct yahoo_data *yd = yid->yd;
@@ -2067,24 +2167,26 @@
 	for (l = pkt->hash; l; l = l->next) {
 		struct yahoo_pair *pair = l->data;
-		if (pair->key == 4)
+		if (pair->key == 4) {
 			who = pair->value;
-		else if (pair->key == 5)
+		} else if (pair->key == 5) {
 			me = pair->value;
-		else if (pair->key == 14)
+		} else if (pair->key == 14) {
 			msg = pair->value;
-		else if (pair->key == 13)
+		} else if (pair->key == 13) {
 			online = strtol(pair->value, NULL, 10);
-	}
-
-	if (who && online < 0)
-		YAHOO_CALLBACK(ext_yahoo_contact_added) (yd->client_id, me, who,
-			msg);
-	else if (online == 2)
-		YAHOO_CALLBACK(ext_yahoo_rejected) (yd->client_id, who, msg);
+		}
+	}
+
+	if (who && online < 0) {
+		YAHOO_CALLBACK (ext_yahoo_contact_added) (yd->client_id, me, who,
+		                                          msg);
+	} else if (online == 2) {
+		YAHOO_CALLBACK (ext_yahoo_rejected) (yd->client_id, who, msg);
+	}
 }
 
 /* UNUSED? */
 static void yahoo_process_contact(struct yahoo_input_data *yid,
-	struct yahoo_packet *pkt)
+                                  struct yahoo_packet *pkt)
 {
 	struct yahoo_data *yd = yid->yd;
@@ -2102,39 +2204,41 @@
 	for (l = pkt->hash; l; l = l->next) {
 		struct yahoo_pair *pair = l->data;
-		if (pair->key == 1)
+		if (pair->key == 1) {
 			id = pair->value;
-		else if (pair->key == 3)
+		} else if (pair->key == 3) {
 			who = pair->value;
-		else if (pair->key == 14)
+		} else if (pair->key == 14) {
 			msg = pair->value;
-		else if (pair->key == 7)
+		} else if (pair->key == 7) {
 			name = pair->value;
-		else if (pair->key == 10)
+		} else if (pair->key == 10) {
 			state = strtol(pair->value, NULL, 10);
-		else if (pair->key == 15)
+		} else if (pair->key == 15) {
 			; /* tm */
-		else if (pair->key == 13)
+		} else if (pair->key == 13) {
 			; /* online */
-		else if (pair->key == 47)
+		} else if (pair->key == 47) {
 			away = strtol(pair->value, NULL, 10);
-		else if (pair->key == 137)
+		} else if (pair->key == 137) {
 			idle = strtol(pair->value, NULL, 10);
-		else if (pair->key == 60)
+		} else if (pair->key == 60) {
 			mobile = strtol(pair->value, NULL, 10);
-
-	}
-
-	if (id)
-		YAHOO_CALLBACK(ext_yahoo_contact_added) (yd->client_id, id, who,
-			msg);
-	else if (name)
-		YAHOO_CALLBACK(ext_yahoo_status_changed) (yd->client_id, name,
-			state, msg, away, idle, mobile);
-	else if (pkt->status == 0x07)
-		YAHOO_CALLBACK(ext_yahoo_rejected) (yd->client_id, who, msg);
+		}
+
+	}
+
+	if (id) {
+		YAHOO_CALLBACK (ext_yahoo_contact_added) (yd->client_id, id, who,
+		                                          msg);
+	} else if (name) {
+		YAHOO_CALLBACK (ext_yahoo_status_changed) (yd->client_id, name,
+		                                           state, msg, away, idle, mobile);
+	} else if (pkt->status == 0x07) {
+		YAHOO_CALLBACK (ext_yahoo_rejected) (yd->client_id, who, msg);
+	}
 }
 
 static void yahoo_process_buddyadd(struct yahoo_input_data *yid,
-	struct yahoo_packet *pkt)
+                                   struct yahoo_packet *pkt)
 {
 	struct yahoo_data *yd = yid->yd;
@@ -2146,20 +2250,27 @@
 
 	YList *l;
+
 	for (l = pkt->hash; l; l = l->next) {
 		struct yahoo_pair *pair = l->data;
-		if (pair->key == 1)
+		if (pair->key == 1) {
 			; /* Me... don't care */
-		if (pair->key == 7)
+		}
+		if (pair->key == 7) {
 			who = pair->value;
-		if (pair->key == 65)
+		}
+		if (pair->key == 65) {
 			where = pair->value;
-		if (pair->key == 66)
+		}
+		if (pair->key == 66) {
 			status = strtol(pair->value, NULL, 10);
-	}
-
-	if (!who)
-		return;
-	if (!where)
+		}
+	}
+
+	if (!who) {
+		return;
+	}
+	if (!where) {
 		where = "Unknown";
+	}
 
 	bud = y_new0(struct yahoo_buddy, 1);
@@ -2181,12 +2292,12 @@
 	   accepted. Couldn't find any test account that doesn't require auth.
 	   unfortunately (if there is even such a thing?) */
-	   
-	/* A non-zero status (i've seen 2) seems to mean the buddy is already 
+
+	/* A non-zero status (i've seen 2) seems to mean the buddy is already
 	 * added and is online */
 	if (status) {
 		LOG(("Setting online see packet for info"));
 		yahoo_dump_unhandled(pkt);
-		YAHOO_CALLBACK(ext_yahoo_status_changed) (yd->client_id, who,
-			YAHOO_STATUS_AVAILABLE, NULL, 0, 0, 0);
+		YAHOO_CALLBACK (ext_yahoo_status_changed) (yd->client_id, who,
+		                                           YAHOO_STATUS_AVAILABLE, NULL, 0, 0, 0);
 	}
 #endif
@@ -2194,5 +2305,5 @@
 	if (status == 0) {
 		YList *tmp = y_list_append(NULL, bud);
-		YAHOO_CALLBACK(ext_yahoo_got_buddies) (yd->client_id, tmp);
+		YAHOO_CALLBACK (ext_yahoo_got_buddies) (yd->client_id, tmp);
 		y_list_free(tmp);
 	}
@@ -2200,5 +2311,5 @@
 
 static void yahoo_process_buddydel(struct yahoo_input_data *yid,
-	struct yahoo_packet *pkt)
+                                   struct yahoo_packet *pkt)
 {
 	struct yahoo_data *yd = yid->yd;
@@ -2210,21 +2321,24 @@
 
 	YList *l;
+
 	for (l = pkt->hash; l; l = l->next) {
 		struct yahoo_pair *pair = l->data;
-		if (pair->key == 1)
+		if (pair->key == 1) {
 			; /* Me... don't care */
-		else if (pair->key == 7)
+		} else if (pair->key == 7) {
 			who = pair->value;
-		else if (pair->key == 65)
+		} else if (pair->key == 65) {
 			where = pair->value;
-		else if (pair->key == 66)
+		} else if (pair->key == 66) {
 			; /* unk_66 */
-		else
+		} else {
 			DEBUG_MSG(("unknown key: %d = %s", pair->key,
-					pair->value));
-	}
-
-	if (!who || !where)
-		return;
+			           pair->value));
+		}
+	}
+
+	if (!who || !where) {
+		return;
+	}
 
 	bud = y_new0(struct yahoo_buddy, 1);
@@ -2253,17 +2367,22 @@
 
 static void yahoo_process_ignore(struct yahoo_input_data *yid,
-	struct yahoo_packet *pkt)
+                                 struct yahoo_packet *pkt)
 {
 	YList *l;
+
 	for (l = pkt->hash; l; l = l->next) {
 		struct yahoo_pair *pair = l->data;
-		if (pair->key == 0)
+		if (pair->key == 0) {
 			; /* who */
-		if (pair->key == 1)
+		}
+		if (pair->key == 1) {
 			; /* Me... don't care */
-		if (pair->key == 13)	/* 1 == ignore, 2 == unignore */
+		}
+		if (pair->key == 13) {  /* 1 == ignore, 2 == unignore */
 			;
-		if (pair->key == 66)
+		}
+		if (pair->key == 66) {
 			; /* status */
+		}
 	}
 
@@ -2277,10 +2396,10 @@
 
 /*	if(status)
-		YAHOO_CALLBACK(ext_yahoo_error)(yd->client_id, who, 0, status);
+                YAHOO_CALLBACK(ext_yahoo_error)(yd->client_id, who, 0, status);
 */
 }
 
 static void yahoo_process_voicechat(struct yahoo_input_data *yid,
-	struct yahoo_packet *pkt)
+                                    struct yahoo_packet *pkt)
 {
 	char *who = NULL;
@@ -2289,19 +2408,24 @@
 
 	YList *l;
+
 	for (l = pkt->hash; l; l = l->next) {
 		struct yahoo_pair *pair = l->data;
-		if (pair->key == 4)
+		if (pair->key == 4) {
 			who = pair->value;
-		if (pair->key == 5)
+		}
+		if (pair->key == 5) {
 			me = pair->value;
-		if (pair->key == 13)
+		}
+		if (pair->key == 13) {
 			; /* voice room */
-		if (pair->key == 57)
+		}
+		if (pair->key == 57) {
 			room = pair->value;
+		}
 	}
 
 	NOTICE(("got voice chat invite from %s in %s to identity %s", who, room,
-			me));
-	/* 
+	        me));
+	/*
 	 * send: s:0 1:me 5:who 57:room 13:1
 	 * ????  s:4 5:who 10:99 19:-1615114531
@@ -2315,21 +2439,23 @@
 
 static void yahoo_process_ping(struct yahoo_input_data *yid,
-	struct yahoo_packet *pkt)
+                               struct yahoo_packet *pkt)
 {
 	char *errormsg = NULL;
 
 	YList *l;
+
 	for (l = pkt->hash; l; l = l->next) {
 		struct yahoo_pair *pair = l->data;
-		if (pair->key == 16)
+		if (pair->key == 16) {
 			errormsg = pair->value;
+		}
 	}
 
 	NOTICE(("got ping packet"));
-	YAHOO_CALLBACK(ext_yahoo_got_ping) (yid->yd->client_id, errormsg);
+	YAHOO_CALLBACK (ext_yahoo_got_ping) (yid->yd->client_id, errormsg);
 }
 
 static void yahoo_process_buddy_change_group(struct yahoo_input_data *yid,
-	struct yahoo_packet *pkt)
+                                             struct yahoo_packet *pkt)
 {
 	YList *l;
@@ -2341,16 +2467,20 @@
 	for (l = pkt->hash; l; l = l->next) {
 		struct yahoo_pair *pair = l->data;
-		if (pair->key == 1)
+		if (pair->key == 1) {
 			me = pair->value;
-		if (pair->key == 7)
+		}
+		if (pair->key == 7) {
 			who = pair->value;
-		if (pair->key == 224)
+		}
+		if (pair->key == 224) {
 			old_group = pair->value;
-		if (pair->key == 264)
+		}
+		if (pair->key == 264) {
 			new_group = pair->value;
-	}
-
-	YAHOO_CALLBACK(ext_yahoo_got_buddy_change_group) (yid->yd->client_id,
-		me, who, old_group, new_group);
+		}
+	}
+
+	YAHOO_CALLBACK (ext_yahoo_got_buddy_change_group) (yid->yd->client_id,
+	                                                   me, who, old_group, new_group);
 }
 
@@ -2376,8 +2506,9 @@
 
 	/* send initial packet */
-	if (who)
+	if (who) {
 		data = strdup("<RVWCFG>");
-	else
+	} else {
 		data = strdup("<RUPCFG>");
+	}
 	yahoo_add_to_send_queue(yid, data, strlen(data));
 	FREE(data);
@@ -2404,10 +2535,10 @@
 
 	yid->read_tag =
-		YAHOO_CALLBACK(ext_yahoo_add_handler) (yid->yd->client_id, fd,
-		YAHOO_INPUT_READ, yid);
+	        YAHOO_CALLBACK (ext_yahoo_add_handler) (yid->yd->client_id, fd,
+	                                                YAHOO_INPUT_READ, yid);
 }
 
 static void yahoo_webcam_get_server(struct yahoo_input_data *y, char *who,
-	char *key)
+                                    char *key)
 {
 	struct yahoo_input_data *yid = y_new0(struct yahoo_input_data, 1);
@@ -2421,7 +2552,7 @@
 	yid->wcm->key = strdup(key);
 
-	YAHOO_CALLBACK(ext_yahoo_connect_async) (yid->yd->client_id,
-		yss->webcam_host, yss->webcam_port,
-		_yahoo_webcam_get_server_connected, yid, 0);
+	YAHOO_CALLBACK (ext_yahoo_connect_async) (yid->yd->client_id,
+	                                          yss->webcam_host, yss->webcam_port,
+	                                          _yahoo_webcam_get_server_connected, yid, 0);
 
 }
@@ -2429,5 +2560,5 @@
 static YList *webcam_queue = NULL;
 static void yahoo_process_webcam_key(struct yahoo_input_data *yid,
-	struct yahoo_packet *pkt)
+                                     struct yahoo_packet *pkt)
 {
 	char *key = NULL;
